# Epic Loot effects and recipes changes

This mod contains heavily modified magic effects for [EpicLoot](https://valheim.thunderstore.io/package/RandyKnapp/EpicLoot/)
mod 

Mostly damage nerfs. 

Most Parry, Block, Stamina and Health Regen effects are now marked as no roll.

Parry, Block, Stamina and Health Regen for lowhealth are still available to roll.

Removed bows from attack speed effect.

Recipes to build trophies have been removed.

## Installation

* Automated: just install as long as using TMM or R2Modman.
* Manual: you need to know what you are doing ;)

Take care, this mod will overwrite the EpicLoot files:
* recipes.json

* magiceffects.json

* enchantcosts.json

* legendaries.json

* adventuredata.json 

Can only be used if no other mods overwriting the same files!
 
## Changelog

1.1.7:

		- set freebuild and quicklearner to noroll. these make gameplay loops easier but don't really add depth.

<details>
  <summary>
    Previous changes:
  </summary>

		1.1.6:

				- fixed json error

		1.1.5:

				- "Why use a tower shield?" update
				- ModifyBlockPower, AddBlockingSkill, ModifyBlockPowerLowHealth are back/changed as to be only for non parrying shields.
				- ModifyBlockStaminaUse is kept as not able to roll on items. 
				- ModifyParryLowHealth is back but only for shields that can parry.
				- excluded abyssal harpoon from getting the recall enchants. (because it can't get throwable so...)

		1.1.4:

				- fixed adventuredata.json to include the new biome entries for bosses

		1.1.3:

				- removed troll armor, root armor, fenring armor, frostner, fenring claws from gambles
		1.1.2:

				- Nerfed: staggerondamagetaken, now matches changes to modifystaggerduration, modifystaggerdamage set to noroll
		1.1.1:

				- fixed json errors

		1.1.0:

				- Mistlands update

				- Modify Eitr regen set to no roll

				- Modify Eitr regen low health preserved as is

				- Nerfed: stagger, slow, backstab

				- Nerfed: removed indestructible from legendaries

				- Nerfed: marked indestructible as noroll

		1.0.6:

				- changed meadows trophies to sacrifice to magic essence. ( greylings drop the magic dust )

				- moved all tab key recipes to the forge, workbench, cauldron, and stonecutter. upgrading materials can now only be done at the forge table with runestones as the catalyst reagent (replacing gold)

				- shard recipes that used to cost gold now use a specific ingredient per type of enchant material desired

				- added fenring cultist and ulv trophies to shard drops

				- added fenring cultist, ulv, and bats to adventure mode bounties

				- nerfed the rewards of various bounties, normalized them so you can predict bounty rewards and difficulty based on its home biome

				- some bounties will be for npcs that have wandered away from their normal biomes

		1.0.5:

				- forgot to update some readme file text.
				
				- updated dll process filter.

		1.0.4: 

				- added abomination and growth trophies as sacrifice recipes.

				- rearranged shard sacrifice recipes so that rewarded shard can be predicted based on biome.

				- some harder mobs will still drop better shards however.

				- updated this goes here copy operation

		1.0.1 - 1.0.3: 

				- corrected this goes here copy operation

		1.0.0: 

				- initial upload

</details>

## dll code example

```
using BepInEx;

using Debug = UnityEngine.Debug;

namespace EpicLoot_Stellarwhims_Nerfs_versionverify

{

	[BepInPlugin("stellarwhims.SwhimsELNerfs", "Stellarwhims EpicLoot Nerfs", "1.0.0")]

	[BepInProcess("valheim.exe")]

	public class SwhimsELVerify : BaseUnityPlugin

	{

		void Awake()

		{

			Debug.Log("Stellarwhims EpicLoot Nerfs installed!");

		}

	}
	
}
```

